Extending Qt Creator Manual | SearchEngine

Extending Qt Creator Manual 4.5.2

# SearchEngine Class

(TextEditor::SearchEngine)

- List of all members, including inherited members

## Public Functions

| SearchEngine()
| ~SearchEngine()
virtual QFuture<Utils::FileSearchResultList> | executeSearch(const FileFindParameters &parameters, BaseFileFind *baseFileFind) = 0
bool | isEnabled() const
virtual Core::IEditor * | openEditor(const Core::SearchResultItem &item, const FileFindParameters &parameters) = 0
virtual QVariant | parameters() const = 0
virtual void | readSettings(QSettings *settings) = 0
void | setEnabled(bool enabled)
virtual QString | title() const = 0
virtual QString | toolTip() const = 0
virtual QWidget * | widget() const = 0
virtual void | writeSettings(QSettings *settings) const = 0

## Signals

void | enabledChanged(bool enabled)

## Member Function Documentation

### SearchEngine::SearchEngine()

Default constructs an instance of SearchEngine.

### SearchEngine::~SearchEngine()

Destroys the instance of SearchEngine.

### `[signal]` void SearchEngine::enabledChanged(bool enabled)

### `[pure virtual]` QFuture<Utils::FileSearchResultList> SearchEngine::executeSearch(const FileFindParameters &parameters, BaseFileFind *baseFileFind)

### bool SearchEngine::isEnabled() const

### `[pure virtual]` Core::IEditor *SearchEngine::openEditor(const Core::SearchResultItem &item, const FileFindParameters &parameters)

### `[pure virtual]` QVariant SearchEngine::parameters() const

### `[pure virtual]` void SearchEngine::readSettings(QSettings *settings)

### void SearchEngine::setEnabled(bool enabled)

See also isEnabled().

### `[pure virtual]` QString SearchEngine::title() const

### `[pure virtual]` QString SearchEngine::toolTip() const

### `[pure virtual]` QWidget *SearchEngine::widget() const

### `[pure virtual]` void SearchEngine::writeSettings(QSettings *settings) const